/*
Copyright (C) 2007 Mercier Benjamin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 
*/

h = 0;
id = 0;
c = 0;
Menu = 1;


function Derouler() 
	{
	if(h != 0 && id != 0) 
		{
		if(c <= h)
			{
			if(document.getElementById(id))
				{
				document.getElementById(id).style.height=c+'px';
				c++;
				setTimeout("Derouler()", 20);
				}
			}
		}
}

function Voir(div, taille) 
	{
	if(document.getElementById(div))
		{
		document.getElementById(div).style.display = 'block';
		id = div;
		h = taille;
		Derouler();
		}
	}
	

function Cache (div)
	{
	if ( document.getElementById(div).style.display == "" )
		{
		document.getElementById(div).style.display = "none";
		}
	else
		{
		document.getElementById(div).style.display = "";
		}
	}
	
function CacheMenu ()
	{
	if ( Menu == 0 )
		{
		document.getElementById('JS_menu').style.display = '';
		document.getElementById('contenu').style.width = '82%;';	
		Menu = 1;
		}
	else
		{
		document.getElementById('JS_menu').style.display = 'none';
		document.getElementById('contenu').style.width = '100%;';
		Menu = 0;
		}
	}
	
function ChangeVision (id1, id2)
	{
//	alert ("DEBUG NOW");
	if ( document.getElementById(id1).style.display == '' )
		{
		document.getElementById(id1).style.display = 'none';
		document.getElementById(id2).style.display = '';
		}
	else	
		{
		document.getElementById(id1).style.display = '';
		document.getElementById(id2).style.display = 'none';
		}
	}
			
/* Affiche ou cache une partie d'un formulaire */
function Montre_Form (div)
{
	document.getElementById(div).style.display = "";
}
function Cache_Form (div)
{
	document.getElementById(div).style.display = "none";
}
